databaseChangeLog:
  - changeSet:
      id: add-add-to-all-dossiers-to-resize-redactions
      author: ali
      changes:
        - addColumn:
            columns:
              - column:
                  name: add_to_all_dossiers
                  type: BOOLEAN
            tableName: manual_resize_redaction
  - changeSet:
      id: add-add-to-all-dossiers-to-resize-redactions-2
      author: ali
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                  name: manual_resize_redaction_entity_annotation_id
                  type: VARCHAR(255)
              - column:
                  constraints:
                    nullable: false
                  name: manual_resize_redaction_entity_file_id
                  type: VARCHAR(255)
              - column:
                  name: type_ids_of_modified_dictionaries
                  type: VARCHAR(255)
            tableName: manual_resize_redaction_entity_type_ids_of_modified_dictionaries
  - changeSet:
      id: add-add-to-all-dossiers-to-resize-redactions-3
      author: ali
      changes:
        - addForeignKeyConstraint:
            baseColumnNames: manual_resize_redaction_entity_annotation_id, manual_resize_redaction_entity_file_id
            baseTableName: manual_resize_redaction_entity_type_ids_of_modified_dictionaries
            constraintName: fk_resize_entity_annotation_id_file_id_for_type_ids_of_modified_dictionaries
            deferrable: false
            initiallyDeferred: false
            onDelete: NO ACTION
            onUpdate: NO ACTION
            referencedColumnNames: annotation_id, file_id
            referencedTableName: manual_resize_redaction
            validate: true